# Dogstats dingsi

https://gitea.haschek.at/Crispi/dogstats

## Techstack

- [HTMX](https://htmx.org/docs/)
- [Tailwind](https://tailwindcss.com/docs/utility-first)

## Start Dev

### Beim ersten Start

Config file erstellen bzw kopieren

1. `cd web/inc`
2. Datei `example.config.inc.php` umbenennen auf `config.inc.php`
3. Gegebenenfalls Werte anpassen in der Config

Composer sachen holen

1. `cd web/inc`
2. `composer install`

### Linux

Erst Tailwind starten

1. `cd tools`
2. `./tailwindcss-linux-x64 -i ../web/css/input.css -o ../web/css/output.css --watch`

In zweitem Terminal dann Webserver starten

1. `cd web`
2. `php -S localhost:8080`
3. Browser auf http://localhost:8080 öffnen

## Ordnerstruktur

```
.
├── tools               Tools halt
└── web
    ├── css             CSS files, braucht man eigentlich nicht weil tailwind macht das schon
    ├── imgs            Statische Bilder hier rein
    ├── inc             Paar Sachen, die wichtig sind, damit das backend überhaupt funktioniert
    │   ├── classes     Allgemeine Klassen für die Seite
    │   └── vendor      Composer pakete
    ├── js              JS Libraries
    ├── pages           Alle Ordner hier drinnen sind automatisch dann endpoints. zB wenn man /home
    │   ├── auth          aufrufen können möchte, muss man einen home Ordner erstellen und drinnen eine PHP Datei namens 
    │   ├── err           controller.php haben. Die wiederum muss eine Klasse sein, die den Namen des Ordners hat (nur großer Anfangsbuchstabe)
    │   └── home          Am einfachsten einen bestehenden anschauen oder kopieren 😁
    └── templates       Allgemeine Templates, mal schauen ob benötigt
        └── partials
```